IPB

Здравствуйте, гость ( Вход | Регистрация )

2 страниц V   1 2 >  
Ответить в эту темуОткрыть новую тему
> Suse 10.3 первые шаги для чайников
double pendulum
сообщение 16.12.2007, 23:57
Сообщение #1





Группа: Пользователи
Регистрация: 26.2.2006
Из: rus.ekb.jbi.nov
Пользователь №: 9 644



поставил Suse 10.3 В никсах пока еще новичек. Запустил bash. Нужно создать нового пользователя, группу. Вроде как adduser это делает, только вот bash сообщает, что команда не найдена. Посмотрел $PATH, вроде пути к основным бинарникам присутствуют. Посмотрел вручную, ни adduser, ни useradd не нашел. Вот такой вопрос, как можно добавить эту (и не только) программу в систему, и почему такой тривиальной программы не оказалось в предустановке?? unsure.gif
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Shaman
сообщение 17.12.2007, 00:06
Сообщение #2





Группа: Модераторы
Регистрация: 1.12.2005
Из: OnLine
Пользователь №: 6 823



выполняли от имени root или под своей учеткой?
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
double pendulum
сообщение 17.12.2007, 00:41
Сообщение #3





Группа: Пользователи
Регистрация: 26.2.2006
Из: rus.ekb.jbi.nov
Пользователь №: 9 644



под своей
как все просто оказывается smile.gif

Сообщение отредактировал double pendulum - 17.12.2007, 00:45
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
double pendulum
сообщение 17.12.2007, 15:17
Сообщение #4





Группа: Пользователи
Регистрация: 26.2.2006
Из: rus.ekb.jbi.nov
Пользователь №: 9 644



еще вопрос: встала задача отображения кириллицы на фтп серверах. что в консоли, что в др. фтп кшлиентах русские буквы нечитаемы. как быть?
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
k008409
сообщение 17.12.2007, 20:50
Сообщение #5





Группа: Пользователи
Регистрация: 3.11.2005
Пользователь №: 6 191



и причем тут внешние команды bash? такие команды в любом шеле одинаковы
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
OzZz
сообщение 17.12.2007, 21:37
Сообщение #6





Группа: Пользователи
Регистрация: 7.7.2006
Пользователь №: 13 373



Цитата(double pendulum @ 17.12.2007, 15:17) *
еще вопрос: встала задача отображения кириллицы на фтп серверах. что в консоли, что в др. фтп кшлиентах русские буквы нечитаемы. как быть?


см. локали
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Nicom
сообщение 17.12.2007, 22:52
Сообщение #7





Группа: Пользователи
Регистрация: 29.9.2005
Из: Asia/Yekaterinburg
Пользователь №: 5 566



Цитата(double pendulum @ 17.12.2007, 15:17) *
еще вопрос: встала задача отображения кириллицы на фтп серверах. что в консоли, что в др. фтп кшлиентах русские буквы нечитаемы. как быть?

Лучше, имхо, вообще не использовать русские буквы на FTP, клиентам будет проще.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
double pendulum
сообщение 17.12.2007, 23:39
Сообщение #8





Группа: Пользователи
Регистрация: 26.2.2006
Из: rus.ekb.jbi.nov
Пользователь №: 9 644



Цитата(Nicom @ 17.12.2007, 22:52) *
Лучше, имхо, вообще не использовать русские буквы на FTP, клиентам будет проще.

не, это понятно, я про случай, когда я клиент, захожу на любой фтп.... вот

и еще вопрос. пытался поставить дрова для видео карты, скачал 2 rpm файла, в ясте создал новый репозиторий, куда положил эти два рпм-пакета, потом захожу в "Управление программным обеспечением", но там этот репозиторий не виден (хотя он включен). Ладно, из консоли тоже пробовал, вот что пишет:
##как сделать вывод в файл, а не на экран? blush.gif
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Nicom
сообщение 18.12.2007, 00:04
Сообщение #9





Группа: Пользователи
Регистрация: 29.9.2005
Из: Asia/Yekaterinburg
Пользователь №: 5 566



Цитата(double pendulum @ 17.12.2007, 23:39) *
1. когда я клиент, захожу на любой фтп.... вот
2. дрова для видео карты, скачал 2 rpm файла, в ясте создал новый репозиторий, куда положил эти два рпм-пакета, потом захожу в "Управление программным обеспечением", но там этот репозиторий не виден (хотя он включен).
3. ##как сделать вывод в файл, а не на экран? blush.gif

1. для фаерфокса есть модуль, который позволяет делать многое http://fireftp.mozdev.org/ там же есть и русифицированная версия, в том числе и читать имена в другой кодировке, есть ещё программка gftp в дистрибутиве.
2. Должен быть виден в ниспадающем меню (где написано "поиск").
3. в консоли рута, в каталоге с рпмками выполнить команду
rpm -ivh *.rpm 2>&1 | tee -a /home/ЮЗЕР/Desktop/installrpm.txt

Сообщение отредактировал Nicom - 18.12.2007, 00:07
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
double pendulum
сообщение 18.12.2007, 00:43
Сообщение #10





Группа: Пользователи
Регистрация: 26.2.2006
Из: rus.ekb.jbi.nov
Пользователь №: 9 644



Цитата(Nicom @ 18.12.2007, 00:04) *
2. Должен быть виден в ниспадающем меню (где написано "поиск").

там этого рипозитория нет. unsure.gif

Цитата(Nicom @ 18.12.2007, 00:04) *
3. в консоли рута, в каталоге с рпмками выполнить команду
rpm -ivh *.rpm 2>&1 | tee -a /home/ЮЗЕР/Desktop/installrpm.txt


Код
warning: nvidia-gfxG01-kmp-default-100.14.19_2.6.22.5_30-1.1.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID c66b6eae
error: Failed dependencies:
    kernel(vmlinux) = 50010dfbe221cfe5 is needed by nvidia-gfxG01-kmp-default-100.14.19_2.6.22.5_30-1.1.x86_64
    kernel(drivers_i2c) = 619065e2ef882d9c is needed by nvidia-gfxG01-kmp-default-100.14.19_2.6.22.5_30-1.1.x86_64
    libX11.so.6()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libXext.so.6()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libatk-1.0.so.0()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libc.so.6()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libc.so.6(GLIBC_2.2.5)(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libc.so.6(GLIBC_2.3)(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libdl.so.2()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libdl.so.2(GLIBC_2.2.5)(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libgdk-x11-2.0.so.0()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libgdk_pixbuf-2.0.so.0()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libglib-2.0.so.0()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libgmodule-2.0.so.0()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libgobject-2.0.so.0()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libgtk-x11-2.0.so.0()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libm.so.6()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libm.so.6(GLIBC_2.2.5)(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libpango-1.0.so.0()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64
    libpangox-1.0.so.0()(64bit) is needed by x11-video-nvidiaG01-100.14.19-4.x86_64


Сообщение отредактировал double pendulum - 18.12.2007, 00:40
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Nicom
сообщение 18.12.2007, 02:21
Сообщение #11





Группа: Пользователи
Регистрация: 29.9.2005
Из: Asia/Yekaterinburg
Пользователь №: 5 566



Цитата(double pendulum @ 18.12.2007, 00:43) *
там этого рипозитория нет. unsure.gif
Код
warning: nvidia-gfxG01-kmp-default-100.14.19_2.6.22.5_30-1.1.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID c66b6eae
error: Failed dependencies:

Скорее всего не правильно добавил, проблем возникать не должно, надо указывать галку "простой каталог рпм".

Возможно дистрибутив архитектуры i586, а драйвер для архитектуры x86-64.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
double pendulum
сообщение 19.12.2007, 00:41
Сообщение #12





Группа: Пользователи
Регистрация: 26.2.2006
Из: rus.ekb.jbi.nov
Пользователь №: 9 644



При добавлении новых пакетов (через Yast управление программным обеспечением), к примеру vlc, выдает "Установка невозможна из-за отсутствия некоторых зависимостей", хотя если посмотреть, все зависимые пакеты установлены и именно тех версий. В списке около 60 зависимостей, и все эти пакеты установлены. В чем проблема? huh.gif
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Nicom
сообщение 19.12.2007, 19:50
Сообщение #13





Группа: Пользователи
Регистрация: 29.9.2005
Из: Asia/Yekaterinburg
Пользователь №: 5 566



Цитата(double pendulum @ 19.12.2007, 00:41) *
При добавлении новых пакетов (через Yast управление программным обеспечением), к примеру vlc, выдает "Установка невозможна из-за отсутствия некоторых зависимостей", хотя если посмотреть, все зависимые пакеты установлены и именно тех версий. В списке около 60 зависимостей, и все эти пакеты установлены. В чем проблема? huh.gif

Есть такая трабла, с пакетами от Packman. Решается "игнорированием данной зависимости", потом всё работает нормально. Пока не разобрался почему это происходит с 10.3.
Для уверенности можно поискать требуемые пакеты в Ясте по названию, скорее всего они уже просто установлены.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
double pendulum
сообщение 19.12.2007, 23:30
Сообщение #14





Группа: Пользователи
Регистрация: 26.2.2006
Из: rus.ekb.jbi.nov
Пользователь №: 9 644



поискал, действительно установлены все. Проигнорировал предупреждение о зависимости, поставил. только вот так и не запускается vlc brows.gif
ну в смысле иконка прыгает возле курсора и сек через 5 он вылетает без ошибок, аналогично и с mplayer, да и вообще с любыми другими rpm.
ставлю приложения сейчас только через make make install smile.gif
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Nicom
сообщение 19.12.2007, 23:39
Сообщение #15





Группа: Пользователи
Регистрация: 29.9.2005
Из: Asia/Yekaterinburg
Пользователь №: 5 566



vlc действительно не запускается, а оно надо?
Мне пока хватает и других плейеров, xine, Kaffein, etc.
Что поставлено через make install не прописывается в базу RPM системы, и соответственно удалено быть не может.

Сообщение отредактировал Nicom - 19.12.2007, 23:42
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
double pendulum
сообщение 19.12.2007, 23:52
Сообщение #16





Группа: Пользователи
Регистрация: 26.2.2006
Из: rus.ekb.jbi.nov
Пользователь №: 9 644



ну скажем vlc нужен для тв тюнера, но вопрос то ведь не о вкусах smile.gif
вопрос в необоснованных зависимостях, это вот как можно решить??
а насчет make install, разве нельзя в любой момент сделать make uninstall, или я ошибаюсь? smile.gif

ps: тему можно смело переименовать в "Suse 10.3 первые шаги для чайников" biggrin.gif

Сообщение отредактировал double pendulum - 19.12.2007, 23:53
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Nicom
сообщение 20.12.2007, 00:03
Сообщение #17





Группа: Пользователи
Регистрация: 29.9.2005
Из: Asia/Yekaterinburg
Пользователь №: 5 566



Цитата(double pendulum @ 19.12.2007, 23:52) *
1. ну скажем vlc нужен для тв тюнера, но вопрос то ведь не о вкусах smile.gif
2. вопрос в необоснованных зависимостях, это вот как можно решить??
3. а насчет make install, разве нельзя в любой момент сделать make uninstall, или я ошибаюсь? smile.gif
4. ps: тему можно смело переименовать в "Suse 10.3 первые шаги для чайников" biggrin.gif

1. для тюнера есть KDE-TV.
2. 3. пока не знаю. blush.gif
4. +1
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Nicom
сообщение 20.12.2007, 00:14
Сообщение #18





Группа: Пользователи
Регистрация: 29.9.2005
Из: Asia/Yekaterinburg
Пользователь №: 5 566



Оффтоп:
Ээээ, кстати, не плохо было-бы видеть в темах действия модераторов, однако. brows.gif
В плане. кто удалил пост, и за что, кто переименовал тему, etc
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Shaman
сообщение 20.12.2007, 00:21
Сообщение #19





Группа: Модераторы
Регистрация: 1.12.2005
Из: OnLine
Пользователь №: 6 823



просили, вот и переименовал.
город не должен знать своих героев))))
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
ROOFUS
сообщение 2.2.2008, 03:44
Сообщение #20





Группа: Пользователи
Регистрация: 16.11.2006
Пользователь №: 17 079



как настроить vpn?
про фаил chap-secrets знаю, но можно по пунктам описать весь процесс, а то уже голова кипит wacko.gif
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Uzer
сообщение 2.2.2008, 12:05
Сообщение #21





Группа: Пользователи
Регистрация: 7.11.2004
Пользователь №: 3 101



Цитата(ROOFUS @ 2.2.2008, 03:44) *
как настроить vpn?
про фаил chap-secrets знаю, но можно по пунктам описать весь процесс, а то уже голова кипит wacko.gif
http://pptpclient.sourceforge.net/
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
ROOFUS
сообщение 2.2.2008, 22:49
Сообщение #22





Группа: Пользователи
Регистрация: 16.11.2006
Пользователь №: 17 079



спасибо, а на русском языке есть ?
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Uzer
сообщение 4.2.2008, 10:25
Сообщение #23





Группа: Пользователи
Регистрация: 7.11.2004
Пользователь №: 3 101



нет, а зачем look.gif
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
double pendulum
сообщение 14.2.2008, 21:36
Сообщение #24





Группа: Пользователи
Регистрация: 26.2.2006
Из: rus.ekb.jbi.nov
Пользователь №: 9 644



как так настроить vlc, чтобы в браузере можно было открывать ссылки vlc://... ???
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
double pendulum
сообщение 15.2.2008, 00:15
Сообщение #25





Группа: Пользователи
Регистрация: 26.2.2006
Из: rus.ekb.jbi.nov
Пользователь №: 9 644



при запуске виртуальной машины Virtualbox выскакивает окошко:

failed to find license files in /usr/lib/virtualbox

если его закрыть или нажать ОК, то в новом окошке:

Spawning session...
0%

и все висит
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения

2 страниц V   1 2 >
Ответить в эту темуОткрыть новую тему
1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0

 



- Текстовая версия Сейчас: 17.7.2018, 14:07
Блог КАБiNET